
package=packaging
version=0.9.3

variables+=(
	LIBEXECDIR  '$(PREFIX)/libexec'
	SYSCONFDIR  '$(PREFIX)/etc'
	VERSION     "$version"
)

targets=(packaging assemble-apk.sh)

type[packaging]=crystal
sources[packaging]=src/main.cr
depends[packaging]="$(echo src/*.cr | sed 's| src/config.cr||') src/config.cr"

type[assemble-apk.sh]=script

targets+=(src/config.cr)
type[src/config.cr]=script
sources[src/config.cr]=src/config.cr.in
auto[src/config.cr]=true # Don’t display it in `make help`.
install[src/config.cr]=false

# FIXME: Clean and upstream this.
function script.install {
	if [[ false == "${install[$target]}" ]]; then
		write "$target.install:"
		write "\t${Q}:"
		write
	else
		binary.install "$@"
	fi
}

install[assemble-apk.sh]='$(LIBEXECDIR)/packaging'

